%define upstream_name       autodie
%define upstream_version 2.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Lexically have functions succeed or die
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/autodie/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(POSIX)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tie::RefHash)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(if)
BuildRequires: perl(open)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Provides:   perl(autodie)
Provides:   perl(autodie::exception)

%description
'Fatal' provides a way to conveniently replace functions which normally
return a false value when they fail with equivalents which raise exceptions
if they are not successful. This lets you use these functions without
having to test their return values explicitly on each call. Exceptions can
be caught using 'eval{}'. See the perlfunc manpage and the perlvar manpage
for details.

The do-or-die equivalents are set up simply by calling Fatal's 'import'
routine, passing it the names of the functions to be replaced. You may wrap
both user-defined functions and overridable CORE operators (except 'exec',
'system', 'print', or any other built-in that cannot be expressed via
prototypes) in this way.

If the symbol ':void' appears in the import list, then functions named
later in that import list raise an exception only when these are called in
void context--that is, when their return values are ignored. For example

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc AUTHORS Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 2.220.0-2.mga4
+ Revision: 536943
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 2.220.0-1.mga4
+ Revision: 485999
- update to 2.22

* Thu Sep 12 2013 sander85 <sander85> 2.210.0-1.mga4
+ Revision: 478129
- update to 2.21

* Fri Aug 23 2013 sander85 <sander85> 2.200.0-3.mga4
+ Revision: 470203
- Rebuild for new perl

* Wed Jun 26 2013 jquelin <jquelin> 2.200.0-2.mga4
+ Revision: 447244
- add missing provides

* Wed Jun 26 2013 jquelin <jquelin> 2.200.0-1.mga4
+ Revision: 447147
- update to 2.20

* Wed May 29 2013 shlomif <shlomif> 2.190.0-1.mga4
+ Revision: 432557
- update to 2.19

* Mon Mar 18 2013 jquelin <jquelin> 2.160.0-1.mga3
+ Revision: 403886
- update to 2.16

* Sun Jan 13 2013 umeabot <umeabot> 2.130.0-2.mga3
+ Revision: 375359
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 2.130.0-1.mga3
+ Revision: 317601
- update to 2.13

* Wed Nov 07 2012 jquelin <jquelin> 2.120.0-3.mga3
+ Revision: 315517
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 2.120.0-2.mga3
+ Revision: 295341
- perl 5.16.1 rebuild

* Mon Jul 02 2012 jquelin <jquelin> 2.120.0-1.mga3
+ Revision: 266661
- update to 2.12

* Mon Jun 04 2012 jquelin <jquelin> 2.110.0-1.mga3
+ Revision: 254105
- update to 2.11

* Sat Jun 11 2011 spuhler <spuhler> 2.100.0-6.mga2
+ Revision: 104045
- increase rel for rebuild

* Sat Feb 26 2011 jquelin <jquelin> 2.100.0-5.mga1
+ Revision: 60567
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 2.100.0-4.mga1
+ Revision: 28937
- mageia rebuild
- imported package perl-autodie

